This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 19912 - Kickstart / Anaconda / Updates Disk: Install fails
Kickstart / Anaconda / Updates Disk: Install fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-27 10:36 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 12:34:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my ks.cfg File (4.32 KB, text/plain)
2000-10-27 10:40 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-10-27 10:36:55 EDT
I want to install RedHat via NFS, so I have a line like
nfs --server 131.234.12.110 --dir /auto/REDHAT/RedHat61
in my ks.cfg file.

This already worked fine with 6.1, but the same Kickstart file
doesn't work anymore with the 7.0 Kickstart Disk plus 7.0 Updates Disk.
At the Boot Promt, I enter:
linux updates ks=floppy
Later, anaconda crashes after inserting the Updates Disk, saying:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 121, in ?
  from todo import ToDo
  File "/tmp/updates/todo.py", line 21, in ?
  from kbd import Keyboard
ImportError: No module named kbd



Without using the Updates Disk, anaconda crashes also, saying:

unknown install method: nfs://mnt/source/.


This is making real trouble, cause we want to install ~200 Machines via
Kickstart
in the next days (University of Paderborn, Computer Science Dept.).
Comment 1 Need Real Name 2000-10-27 10:40:09 EDT
Created attachment 4713 [details]
my ks.cfg File
Comment 2 Michael Fulbright 2000-10-30 16:46:27 EST
Do you have the problem if you do not use the update disk?
Comment 3 Brock Organ 2000-11-07 09:53:23 EST
Jerome,

I noticed your nfs location appears to be pointing to your 6.1 install source:
ie your kickstart file has:
nfs --server 131.234.12.110 --dir /auto/REDHAT/RedHat61
instead of:
nfs --server 131.234.12.110 --dir /auto/REDHAT/RedHat7

could you possibly be pointing to the 6.1 install source instead of the 7
install source?
Comment 4 Michael Fulbright 2000-11-28 12:34:02 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.